gfal2 (2.21.3-1) unstable; urgency=medium

  * New upstream release 2.21.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 04:15:21 +0100

gfal2 (2.21.2-1) unstable; urgency=medium

  * New upstream release 2.21.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Dec 2022 15:25:44 +0100

gfal2 (2.21.1-1) unstable; urgency=medium

  * New upstream release 2.21.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Oct 2022 16:14:21 +0200

gfal2 (2.21.0-1) unstable; urgency=medium

  * New upstream release 2.21.0
  * Make doxygen Build-Depends-Indep

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 11:31:45 +0200

gfal2 (2.20.5-1) unstable; urgency=medium

  * New upstream release 2.20.5
  * Drop patches accepted upstream
    - gfal2-define-ENODATA-if-not-defined.patch
    - gfal2-define-ENOSR-if-not-defined.patch
    - gfal2-do-not-hardcode-error-numbers.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 05 Mar 2022 05:47:05 +0100

gfal2 (2.20.3-1) unstable; urgency=medium

  * New upstream release 2.20.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Feb 2022 17:35:14 +0100

gfal2 (2.20.2-2) unstable; urgency=medium

  * Define ENOSR and ENODATA if not defined (kfreebsd)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 14 Dec 2021 22:56:09 +0100

gfal2 (2.20.2-1) unstable; urgency=medium

  * New upstream release 2.20.2
  * Drop patch gfal2-dox-group.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 07 Dec 2021 11:20:13 +0100

gfal2 (2.20.1-1) unstable; urgency=medium

  * New upstream release 2.20.1
  * Do not hardcode Linux error numbers

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 03 Nov 2021 18:21:03 +0100

gfal2 (2.20.0-1) unstable; urgency=medium

  * New upstream release 2.20.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 27 Sep 2021 16:44:04 +0200

gfal2 (2.19.2-1) unstable; urgency=medium

  * New upstream release 2.19.2
  * Drop obsolete patch gfal2-linking.patch
    (fixes LFC and RFIO plugins that we no longer build)
  * Remove override_dh_strip rule (completed debug symbol migration)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Aug 2021 14:30:54 +0200

gfal2 (2.19.0-3) unstable; urgency=medium

  * Change to debhelper compat level 13
  * Remove override_dh_missing rule (--fail-missing is default)
  * Drop ancient Replaces/Breaks
  * Put back dependencies on libattr1-dev for kfreebsd-any
    The gfal2 code uses <sys/xattr.h> if glibc >= 2.27, otherwise
    <attr/xattr.h>, and kfreebsd still uses glibc 2.25. There is a
    <sys/xattr.h> available, but gfal2 does not use it due to the
    version check.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 03 Jan 2021 19:10:28 +0100

gfal2 (2.19.0-2) unstable; urgency=medium

  * Reupload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 14 Dec 2020 10:31:19 +0100

gfal2 (2.19.0-1) unstable; urgency=medium

  * New upstream release 2.19.0
  * Build xrootd plugin (xrootd is now in debian)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 11 Dec 2020 09:50:39 +0100

gfal2 (2.18.2-1) unstable; urgency=medium

  * New upstream release 2.18.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 09 Aug 2020 15:54:29 +0200

gfal2 (2.18.1-1) unstable; urgency=medium

  * New upstream release 2.18.1
  * Drop patch gfal2-json.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 30 Jun 2020 09:34:28 +0200

gfal2 (2.18.0-1) unstable; urgency=medium

  * New upstream release 2.18.0
  * Find json-c using cmake in http plugin build

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 09 Jun 2020 09:50:34 +0200

gfal2 (2.17.3-1) unstable; urgency=medium

  * New upstream release 2.17.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 03 May 2020 08:39:37 +0200

gfal2 (2.17.2-2) unstable; urgency=medium

  * Remove unused dependencies on libattr1-dev (Closes: #953922)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 30 Mar 2020 10:48:20 +0200

gfal2 (2.17.2-1) unstable; urgency=medium

  * New upstream release 2.17.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 02 Mar 2020 08:51:21 +0100

gfal2 (2.17.1-1) unstable; urgency=medium

  * New upstream release 2.17.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 17 Dec 2019 16:44:55 +0100

gfal2 (2.17.0-1) unstable; urgency=medium

  * New upstream release 2.17.0
  * Drop LFC and RFIO plugins - dependencies are no longer maintained and
    will soon be removed from Debian.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 23 Oct 2019 14:56:39 +0200

gfal2 (2.16.4-1) unstable; urgency=medium

  * New upstream release
  * Change to debhelper compat level 10

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 30 Sep 2019 08:49:03 +0200

gfal2 (2.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 23 Feb 2019 09:56:23 +0100

gfal2 (2.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Nov 2018 14:16:13 +0100

gfal2 (2.15.5-1) unstable; urgency=medium

  * New upstream release
  * Drop patch gfal2-missing-include.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 28 May 2018 16:35:39 +0200

gfal2 (2.15.4-3) unstable; urgency=medium

  * Adjust Build-Depends due to googletest package split
  * Add missing include - fix implicit declaration warning

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 26 Apr 2018 14:41:14 +0200

gfal2 (2.15.4-2) unstable; urgency=medium

  * Use precompiled gtest library now that Debian provides a sane googletest
    package (Closes: #896454)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 Apr 2018 13:11:52 +0200

gfal2 (2.15.4-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 06 Apr 2018 18:34:52 +0200

gfal2 (2.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Apr 2018 16:25:01 +0200

gfal2 (2.15.2-1) unstable; urgency=medium

  * New upstream release
  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 09:29:13 +0100

gfal2 (2.13.4-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 02 Jun 2017 16:37:56 +0200

gfal2 (2.13.3-3) unstable; urgency=medium

  * Add missing entries to debian/copyright (Closes: #860165)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 13 Apr 2017 13:28:20 +0200

gfal2 (2.13.3-2) unstable; urgency=medium

  * In debian/copyright, replace the external website reference with an
    explicit list of copyright holders.

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Apr 2017 16:36:52 +0200

gfal2 (2.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Apr 2017 10:53:10 +0200

gfal2 (2.13.1-1) unstable; urgency=medium

  * New upstream release
  * Add dependency on libdpm1 to gfal2-plugin-rfio (LP: #1528229)
  * Drop gfal2-ebadfd.patch and gfal2-pathmax.patch (fixed upstream)
  * Add new sftp plugin package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 23 Mar 2017 22:04:15 +0100

gfal2 (2.12.3-1) unstable; urgency=medium

  * New upstream release
  * Adapt to newer gtest (Closes: #844965)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 16:19:43 +0100

gfal2 (2.12.2-2) unstable; urgency=medium

  * Fix hurd compilation

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 27 Sep 2016 10:22:37 +0200

gfal2 (2.12.2-1) unstable; urgency=medium

  * New upstream release
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 16:45:35 +0200

gfal2 (2.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 May 2016 18:01:02 +0200

gfal2 (2.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 02 Dec 2015 17:13:10 +0100

gfal2 (2.9.3-2) unstable; urgency=medium

  * Remove hardcoded binary dependency on libdavix0 - based on patch
    from Ubuntu

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Aug 2015 23:03:47 +0200

gfal2 (2.9.3-1) unstable; urgency=medium

  * New upstream release
  * Implement Multi-Arch support

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 31 Jul 2015 16:30:29 +0200

gfal2 (2.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #777874)
  * Drop gfal2-c++11.patch and gfal2-gfal_srm_contruct_key.patch
    (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 11 Jun 2015 17:22:57 +0200

gfal2 (2.8.4-1) unstable; urgency=medium

  * New upstream release
  * Drop gfal2-srm-patch-set-error.patch (fixed upstream)
  * Split out file plugin to its own package
  * Add new mock plugin package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 09 Apr 2015 16:55:41 +0200

gfal2 (2.7.8-2) unstable; urgency=medium

  * Fix kfreebsd and hurd compilation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 10 Dec 2014 17:35:56 +0100

gfal2 (2.7.8-1) unstable; urgency=medium

  * New upstream release
  * Drop gfal2-bad-string-fmt.patch, gfal2-davix-httpcode.patch,
    gfal2-davix-lseek64.patch and gfal2-gsiftp-session-reuse.patch
    (fixed upstream)
  * Fix segfault in a call to gfal2_set_error (patch from upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 09 Dec 2014 08:27:00 +0100

gfal2 (2.6.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patches gfal2-cthread.patch and gfal2-new-davix-errors.patch
    (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 24 Oct 2014 13:45:36 +0200

gfal2 (2.3.0-4) unstable; urgency=low

  * Adapt to new davix (patch from upstream svn)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 02 Dec 2013 05:47:29 +0100

gfal2 (2.3.0-3) unstable; urgency=low

  * Fix non-pointer dereference that cause segmentation fault

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Sep 2013 15:43:22 +0200

gfal2 (2.3.0-2) unstable; urgency=low

  * Remove binary files in source tarball

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Aug 2013 09:11:13 +0200

gfal2 (2.3.0-1) unstable; urgency=low

  * New upstream release
  * New binary package gfal2-plugin-http

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 09 Aug 2013 20:49:23 +0200

gfal2 (2.2.1-2) unstable; urgency=low

  * Workaraond for no dirent d_off on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 05 May 2013 15:50:21 +0200

gfal2 (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Workaround missing ECOMM on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 03 May 2013 18:55:59 +0200

gfal2 (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #687682)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Sep 2012 16:32:12 +0200
